Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclDNSIBase Class Reference

`#include <oscl_dns_imp_base.h>`

Inheritance diagram for OsclDNSIBase:

## Public Methods
virtual | ~OsclDNSIBase ()
virtual int32 | Open (OsclSocketServI &aServer)=0
virtual int32 | Close ()=0
virtual void | GetHostByName (GetHostByNameParam &, OsclDNSRequestAO &)=0
virtual void | GetHostByNameSuccess (GetHostByNameParam &)=0
virtual bool | GetHostByNameResponseContainsAliasInfo ()=0
virtual void | GetNextHost (OsclDNSRequestAO &)=0
virtual void | GetNextHostSuccess (GetHostByNameParam &)=0
void | CancelFxn (TPVDNSFxn)
## Protected Methods
| OsclDNSIBase (Oscl_DefAlloc &a)
virtual bool | IsReady (OsclDNSRequestAO &aObject)=0
virtual void | CancelGetHostByName ()=0
## Protected Attributes
Oscl_DefAlloc & | iAlloc
OsclSocketServI * | iSocketServ
## Friends
class | OsclDNSRequest
class | OsclGetHostByNameRequest

## Detailed Description

OsclDNSIBase is a common base class for all implementations.

## Constructor & Destructor Documentation

virtual OsclDNSIBase::~OsclDNSIBase | ( |  | ) | `[virtual]`

OsclDNSIBase::OsclDNSIBase | ( | Oscl_DefAlloc & | a | ) | `[protected]`

## Member Function Documentation

void OsclDNSIBase::CancelFxn | ( | TPVDNSFxn |  | ) |

virtual void OsclDNSIBase::CancelGetHostByName | ( |  | ) | `[protected, pure virtual]`

virtual int32 OsclDNSIBase::Close | ( |  | ) | `[pure virtual]`

| Implemented in OsclDNSI.

virtual void OsclDNSIBase::GetHostByName | ( | GetHostByNameParam & | ,
|  | OsclDNSRequestAO & |
| ) | `[pure virtual]`

| Implemented in OsclDNSI.

virtual bool OsclDNSIBase::GetHostByNameResponseContainsAliasInfo | ( |  | ) | `[pure virtual]`

| Implemented in OsclDNSI.

virtual void OsclDNSIBase::GetHostByNameSuccess | ( | GetHostByNameParam & |  | ) | `[pure virtual]`

| Implemented in OsclDNSI.

virtual void OsclDNSIBase::GetNextHost | ( | OsclDNSRequestAO & |  | ) | `[pure virtual]`

| Implemented in OsclDNSI.

virtual void OsclDNSIBase::GetNextHostSuccess | ( | GetHostByNameParam & |  | ) | `[pure virtual]`

| Implemented in OsclDNSI.

virtual bool OsclDNSIBase::IsReady | ( | OsclDNSRequestAO & | aObject | ) | `[protected, pure virtual]`

virtual int32 OsclDNSIBase::Open | ( | OsclSocketServI & | aServer | ) | `[pure virtual]`

| Implemented in OsclDNSI.

## Friends And Related Function Documentation

friend class OsclDNSRequest`[friend]`

| Reimplemented in OsclDNSI.

friend class OsclGetHostByNameRequest`[friend]`

| Reimplemented in OsclDNSI.

## Field Documentation

Oscl_DefAlloc& OsclDNSIBase::iAlloc`[protected]`

OsclSocketServI* OsclDNSIBase::iSocketServ`[protected]`

The documentation for this class was generated from the following file:

- oscl_dns_imp_base.h